summaryrefslogtreecommitdiffstats
path: root/run
diff options
context:
space:
mode:
authorTomasz Kramkowski <tomasz@kramkow.ski>2023-04-21 23:50:38 +0100
committerTomasz Kramkowski <tomasz@kramkow.ski>2023-04-21 23:50:38 +0100
commit16a36c812fabda812ecf3aaa7f12fa6f44c66b2e (patch)
treeccae60abf8301ae451cfa1f21c33b8a62d5306cf /run
parentdb091bfd1db36ab66340ccad2eb7b6393a0aa3da (diff)
downloadandroid-jetpack-compose-redo-16a36c812fabda812ecf3aaa7f12fa6f44c66b2e.tar.gz
android-jetpack-compose-redo-16a36c812fabda812ecf3aaa7f12fa6f44c66b2e.tar.xz
android-jetpack-compose-redo-16a36c812fabda812ecf3aaa7f12fa6f44c66b2e.zip
Jetpack Compose and materialHEADmaster
Diffstat (limited to 'run')
-rwxr-xr-xrun5
1 files changed, 5 insertions, 0 deletions
diff --git a/run b/run
new file mode 100755
index 0000000..2e01c69
--- /dev/null
+++ b/run
@@ -0,0 +1,5 @@
+#!/bin/sh
+package=$(xmllint --xpath "string(/manifest/@package)" AndroidManifest.xml)
+adb install -r -t paste.signed.apk || exit
+#todo: use xpath to find the activity
+adb shell am start -n "$package/.MainActivity"